Page MenuHomePhabricator

[RFC][Target] Add a new triple called Triple::csky
ClosedPublic

Authored by zixuan-wu on Aug 24 2020, 8:36 PM.

Details

Summary

Before upstream a new target called CSKY, make a new triple of that called Triple::csky. For now, it's a 32-bit little endian target and the detail can be referred at D86269.

This is the split part of D86269, which add a new target called CSKY.

Diff Detail

Event Timeline

zixuan-wu created this revision.Aug 24 2020, 8:36 PM
zixuan-wu requested review of this revision.Aug 24 2020, 8:36 PM
lattner resigned from this revision.Aug 25 2020, 6:28 PM

Should cover this in unittest/ADT/TripleTest.cpp

zixuan-wu updated this revision to Diff 287819.Aug 25 2020, 8:34 PM

Add triple test.

arsenm accepted this revision.Aug 27 2020, 6:23 AM
This revision is now accepted and ready to land.Aug 27 2020, 6:23 AM
rengolin accepted this revision.Aug 28 2020, 3:45 AM
echristo accepted this revision.Aug 28 2020, 9:27 AM
zixuan-wu retitled this revision from [RFC][Target] Add a new triple called CSKY to [RFC][Target] Add a new triple called Triple::csky.Tue, Sep 1, 8:37 PM
zixuan-wu edited the summary of this revision. (Show Details)
This revision was automatically updated to reflect the committed changes.